Bug 1339122

Summary: hddtemp_smartctl fails to parse temperature from output
Product: [Fedora] Fedora EPEL Reporter: Vaclav Danek <vdanek>
Component: muninAssignee: d. johnson <drjohnson1>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: epel7CC: contact, drjohnson1, extras-qa, ingvar, jonathan.w.miner
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Linux   
URL: https://github.com/munin-monitoring/munin/issues/576
Whiteboard:
Fixed In Version: munin-2.0.28-2.fc25 munin-2.0.28-2.fc24 munin-2.0.28-2.el6 munin-2.0.28-2.el7 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1269230 Environment:
Last Closed: 2016-12-22 05:23:39 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1269230    
Bug Blocks:    

Description Vaclav Danek 2016-05-24 08:21:44 UTC
Version-Release number of selected component (if applicable): 2.0.25-11.el7

Issue is not fixed. There is not any patch to plugin hddtemp_smartctl.

+++ This bug was initially created as a clone of Bug #1269230 +++

Description of problem:

The hddtemp_smartctl fails to parse temperature from the output of smartctl.  Upon investigation, discovered that my drive reports "190 Airflow_Temperature_Cel" and that parameter is not parsed in the plugin


Version-Release number of selected component (if applicable): 2.0.25-2


How reproducible: Always


Steps to Reproduce:
1. run smartctl --all /dev/sda
2. run /etc/munin/plugins/hddtemp_smartctl
3.

Actual results:

smartctl will report the "Airflow Temperature"

hddtemp_smartctl will report "Temperature not detected"


Expected results:

hddtemp_smartctl reports same temperature as smartctl

Additional info:

--- Additional comment from d. johnson on 2015-10-06 17:38:29 EDT ---

Running the plugin directly like that will create problems.  Always use munin-run.

What does your config file look like for this plugin?

--- Additional comment from d. johnson on 2015-10-06 17:40:16 EDT ---

Reference: "munindoc hddtemp_smartctl" indicates what should be listed.

--- Additional comment from Jonathan Miner on 2015-10-07 07:26:39 EDT ---

I looked at the source code for hddtemp_smartctl. As I documented above, my hardware reports a field named "190 Airflow_Temperature_Cel"

The parsing algorithm looks for:
"Current Drive Temperature"
"194 Temperature Celsius"
"231 Temperature Celsius"

None of which match what my drive returns.  To the best of my knowledge, this has nothing to do with the configuration.  The config file for hddtemp_smartctl only has the following:

[hddtemp_smartctl]
user root

BTW... using "munin-run" to execute it results in the same "Temperature not detected" message.  I'll use munin-run in the future, but it doesn't have anything to do with this bug.

The fix appears to just be to add another "elsif" clause to the parsing algorithm.

--- Additional comment from d. johnson on 2015-10-07 09:29:16 EDT ---

You will want to add something like "dev_sda" to your config file so that it monitors that drive.

For the elsif, might need a new issue upstream, https://github.com/munin-monitoring/munin/issues

This issue could also be resolved already in the ~2.0.26 release (pending).

--- Additional comment from Jonathan Miner on 2015-10-08 10:33:21 EDT ---

Reported upstream:

https://github.com/munin-monitoring/munin/issues/576

--- Additional comment from Jonathan Miner on 2015-12-07 09:09:48 EST ---

Upstream reported this was fixed as of:

commit f2179a63e40b575c61750f4d7825a3f59eea3044
Author: leeclemens 
Date:   Thu Jan 30 22:12:30 2014 -0500

    Add Airflow_Temperature_Cel as temperature reading

    Samsung SSD 830 Pro (at least) only provides Airflow_Temperature_Cel from smartctl

Comment 1 Gabriele Pohl 2016-10-10 09:15:01 UTC
Issue should be solved in next release 2.0.27.
The related pull request to branch stable 2.0 is tagged so:
https://github.com/munin-monitoring/munin/pull/737

Comment 2 Fedora Update System 2016-11-02 13:30:49 UTC
munin-2.0.27-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9ec28cd119

Comment 3 Fedora Update System 2016-11-02 13:31:48 UTC
munin-2.0.27-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-13d6b40ace

Comment 4 Fedora Update System 2016-11-02 13:32:54 UTC
munin-2.0.27-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0d54d65d93

Comment 5 Fedora Update System 2016-11-02 13:34:13 UTC
munin-2.0.27-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0b923d14d2

Comment 6 Fedora Update System 2016-11-02 13:35:04 UTC
munin-2.0.27-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-464c047938

Comment 7 Fedora Update System 2016-11-04 17:20:30 UTC
munin-2.0.27-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-464c047938

Comment 8 Fedora Update System 2016-11-04 17:22:46 UTC
munin-2.0.27-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0b923d14d2

Comment 9 Fedora Update System 2016-11-05 03:32:34 UTC
munin-2.0.27-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-13d6b40ace

Comment 10 Fedora Update System 2016-11-05 03:50:57 UTC
munin-2.0.27-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0d54d65d93

Comment 11 Fedora Update System 2016-11-05 18:56:35 UTC
munin-2.0.27-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9ec28cd119

Comment 12 Fedora Update System 2016-11-06 01:52:20 UTC
munin-2.0.27-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0d54d65d93

Comment 13 Fedora Update System 2016-12-11 06:35:13 UTC
munin-2.0.28-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ef830e649f

Comment 14 Fedora Update System 2016-12-11 06:35:49 UTC
munin-2.0.28-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b5dbca9882

Comment 15 Fedora Update System 2016-12-11 06:36:21 UTC
munin-2.0.28-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-82a6c0b1bb

Comment 16 Fedora Update System 2016-12-11 06:36:53 UTC
munin-2.0.28-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c17be6a0d6

Comment 17 Fedora Update System 2016-12-12 12:46:21 UTC
munin-2.0.28-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c17be6a0d6

Comment 18 Fedora Update System 2016-12-12 12:48:01 UTC
munin-2.0.28-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-82a6c0b1bb

Comment 19 Fedora Update System 2016-12-12 13:23:16 UTC
munin-2.0.28-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b5dbca9882

Comment 20 Fedora Update System 2016-12-12 13:25:50 UTC
munin-2.0.28-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ef830e649f

Comment 21 Fedora Update System 2016-12-22 05:23:39 UTC
munin-2.0.28-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2016-12-22 06:48:48 UTC
munin-2.0.28-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2016-12-27 07:19:02 UTC
munin-2.0.28-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2016-12-27 17:17:51 UTC
munin-2.0.28-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.